package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TEnvironapprovalMapper;
import com.ruoyi.project.ehs.domain.TEnvironapproval;
import com.ruoyi.project.ehs.service.ITEnvironapprovalService;

import javax.annotation.Resource;

/**
 * 环保批文清单Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-27
 */
@Service
public class TEnvironapprovalServiceImpl implements ITEnvironapprovalService
{
    @Resource
    private TEnvironapprovalMapper tEnvironapprovalMapper;

    /**
     * 查询环保批文清单
     *
     * @param id 环保批文清单ID
     * @return 环保批文清单
     */
    @Override
    public TEnvironapproval selectTEnvironapprovalById(Long id)
    {
        return tEnvironapprovalMapper.selectTEnvironapprovalById(id);
    }

    /**
     * 查询环保批文清单列表
     *
     * @param tEnvironapproval 环保批文清单
     * @return 环保批文清单
     */
    @Override
    public List<TEnvironapproval> selectTEnvironapprovalList(TEnvironapproval tEnvironapproval)
    {
        return tEnvironapprovalMapper.selectTEnvironapprovalList(tEnvironapproval);
    }

    /**
     * 定时任务查询环保批文清单列表
     *
     * @param tEnvironapproval 环保批文清单
     * @return 环保批文清单集合
     */
    @Override
    public List<TEnvironapproval> selectList(TEnvironapproval tEnvironapproval) {
        return tEnvironapprovalMapper.selectList(tEnvironapproval);
    }

    /**
     * 新增环保批文清单
     *
     * @param tEnvironapproval 环保批文清单
     * @return 结果
     */
    @Override
    public int insertTEnvironapproval(TEnvironapproval tEnvironapproval)
    {
        return tEnvironapprovalMapper.insertTEnvironapproval(tEnvironapproval);
    }

    /**
     * 修改环保批文清单
     *
     * @param tEnvironapproval 环保批文清单
     * @return 结果
     */
    @Override
    public int updateTEnvironapproval(TEnvironapproval tEnvironapproval)
    {
        return tEnvironapprovalMapper.updateTEnvironapproval(tEnvironapproval);
    }

    /**
     * 批量删除环保批文清单
     *
     * @param ids 需要删除的环保批文清单ID
     * @return 结果
     */
    @Override
    public int deleteTEnvironapprovalByIds(Long[] ids)
    {
        return tEnvironapprovalMapper.deleteTEnvironapprovalByIds(ids);
    }

    /**
     * 删除环保批文清单信息
     *
     * @param id 环保批文清单ID
     * @return 结果
     */
    @Override
    public int deleteTEnvironapprovalById(Long id)
    {
        return tEnvironapprovalMapper.deleteTEnvironapprovalById(id);
    }
}
